using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Nlgp1.StageEditor.Notifies;
using Nlgp1.StageEditor.Controls;
using Nlgp1.StageEditor.Notifies.LayerChipProperties;
using System.Drawing;

namespace Nlgp1.StageEditor.Instances
{
	public static class LayerSettingInstance
	{
		private static StageEditorForm stageEditor;
		private static StageNotify stage;
		private static EditorNotify editor;

		public static void Initialize(StageEditorForm stageEditor, EditorNotify editor, StageNotify stage)
		{
			LayerSettingInstance.stageEditor = stageEditor;
			LayerSettingInstance.stage = stage;
			LayerSettingInstance.editor = editor;
		}

		public static void SetGridProperty(bool visible, int size, Color color)
		{
			editor.SetGridProperty(visible, size, color);
		}

		public static void SetScale(float scale)
		{
			editor.SetScale(scale);
		}
	}
}